Function
isDirect
Query a GZ File Stream for being "direct."
isDirect(gzStream)
Include Headers
seqan/stream.h
Parameters

gzStream | GZ File Stream to query. Types: GZ File Stream

Remarks
GZ File Streams can also open uncompressed files (at a possible performance cost). This function returns whether the underlying file was not a compressed file and thus the file is read directly.
Return Values
bool, indicating whether the file is opened uncompressed ("direct").
Member of
GZ File Stream
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:58